<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>

</html>
<script>
    // Tạo một class 
    class Rectangle {
        // Hàm tạo (constructor)
        constructor(length, width) {
            this.length = length; this.width = width;
        }
        // Phương thức của class 
        getArea() {
            return this.length * this.width;
        }
    }
    //Tao class Square ke thua class rectangle
    class Square extends Rectangle {
        //constructor cua class con
        constructor(length) {
            // goi den ham constructor cua class cha
            super(length, length);
        }
        //method cua class con
        getPerimeter() {
            return 2 * (this.length + this.width);
        }
    }
    //Khoi tao doi tuong
    let rectangle = new Rectangle(5, 10);
    console.log(rectangle.getArea());
    //khoi tao class con
    let square = new Square(5);
    console.log(square.getPerimeter());
    //tinh dien tich hinh vuong
    console.log(square.getArea());
    //Kiem tra xem doi tuong vua tao 
    //kieu dung la class khong?
    console.log(square instanceof Square);
    console.log(square instanceof Rectangle);
    console.log(rectangle instanceof Square);

</script>